[API]
GetLocaleInfoA
GetLocaleInfoW

[CODE]
Public Function GetLocaleInfo(ByVal LCType As Long, Optional ByVal Locale As Long = &H400&) As String
  GetLocaleInfo = String(18&, vbNullChar)
  If IsUnicode Then
    LCType = GetLocaleInfoW(Locale, LCType, StrPtr(GetLocaleInfo), 17&)
    Else
    LCType = GetLocaleInfoA(Locale, LCType, GetLocaleInfo, 17&)
    End If
  If LCType > 0& Then LCType = LCType - 1&
  GetLocaleInfo = Left(GetLocaleInfo, LCType)
  End Function
